Bug 1303760 - Upgrade to 4.1.7 from previous breaks working configuration
Upgrade to 4.1.7 from previous breaks working configuration
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nsd (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-01 16:32 EST by William H. Haller
Modified: 2016-07-19 15:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:24:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William H. Haller 2016-02-01 16:32:13 EST
Description of problem: Upgraded nsd from updates. nsd starts, but due to ownership of /etc/nsd - it has permission problems reading zone files. Changed to nsd:nsd to fix that. Big problem is that it no longer actually serves or distributes zone information to slaves.


Version-Release number of selected component (if applicable): 4.1.7


How reproducible: always


Steps to Reproduce:
1. Upgrade
2. Realize you can't resolve your domain
3. Scream silently

Actual results: Failed domain resolution


Expected results: Upgrade that works


Additional info: Slave reports complaints of
zone ... received error code NOT IMPL from master
zone ... received error code SERVER NOT AUTHORITATIVE FOR ZONE from master_IP
zone ... from master: no tsig in first packet of reply

Master additionally reports
error: /var/lib/nsd/nsd.db: wrong type of file along with the permission errors, but correcting the ownership of /etc/nsd seemed to make that go away as well - master starts and restarts without error - it just won't serve information via nslookup on it.

Restoring the previous F22 version of the NSD package returns the system to normal operation.
Comment 1 d. johnson 2016-02-23 20:39:51 EST
Upgrading from what version-release to what version-release?

Something like this may show you which revision you had before and after upgrading:

sudo dnf history info nsd |grep nsd
Comment 2 William H. Haller 2016-02-23 22:11:43 EST
From the previous released working version for f22 nsd-3.2.18-2.fc22.x86_64
Comment 3 William H. Haller 2016-06-20 16:37:55 EDT
Wiping out the database and restarting from text files created a proper database on F23 - so the only issue would be upgrade between versions.
Comment 4 Fedora End Of Life 2016-07-19 15:24:26 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.